/**  版本信息模板在安装目录下，可自行修改。
* T_Sys_Class.cs
*
* 功 能： N/A
* 类 名： T_Sys_Class
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2022/9/5 16:45:47   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using RMYY_CallCenter_Api.DB;

namespace RMYY_CallCenter_Api.Dal
{
	/// <summary>
	/// 数据访问类:T_Sys_Class
	/// </summary>
	public partial class T_Sys_Class
	{
		public T_Sys_Class()
		{}
		#region  BasicMethod



		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int Add(RMYY_CallCenter_Api.Model.T_Sys_Class model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("insert into T_Sys_Class(");
			strSql.Append("F_Code,F_Name,F_InTime,F_OutTime,F_Remark,F_State,F_CreateUser,F_CreateTime,F_IsDelete,F_DeleteUser,F_DeleteTime,F_DeptId,F_IsAutomatic)");
			strSql.Append(" values (");
			strSql.Append("@F_Code,@F_Name,@F_InTime,@F_OutTime,@F_Remark,@F_State,@F_CreateUser,@F_CreateTime,@F_IsDelete,@F_DeleteUser,@F_DeleteTime,@F_DeptId,@F_IsAutomatic)");
			strSql.Append(";select @@IDENTITY");
			SqlParameter[] parameters = {
					new SqlParameter("@F_Code", SqlDbType.VarChar,50),
					new SqlParameter("@F_Name", SqlDbType.VarChar,50),
					new SqlParameter("@F_InTime", SqlDbType.VarChar,50),
					new SqlParameter("@F_OutTime", SqlDbType.VarChar,50),
					new SqlParameter("@F_Remark", SqlDbType.NVarChar,-1),
					new SqlParameter("@F_State", SqlDbType.Int,4),
					new SqlParameter("@F_CreateUser", SqlDbType.VarChar,50),
					new SqlParameter("@F_CreateTime", SqlDbType.DateTime),
					new SqlParameter("@F_IsDelete", SqlDbType.Int,4),
					new SqlParameter("@F_DeleteUser", SqlDbType.VarChar,50),
					new SqlParameter("@F_DeleteTime", SqlDbType.DateTime) ,
                        new SqlParameter("@F_DeptId", SqlDbType.Int,4),
                           new SqlParameter("@F_IsAutomatic", SqlDbType.Int,4)
                        

};
			parameters[0].Value = model.F_Code;
			parameters[1].Value = model.F_Name;
			parameters[2].Value = model.F_InTime;
			parameters[3].Value = model.F_OutTime;
			parameters[4].Value = model.F_Remark;
			parameters[5].Value = model.F_State;
			parameters[6].Value = model.F_CreateUser;
			parameters[7].Value = model.F_CreateTime;
			parameters[8].Value = model.F_IsDelete;
			parameters[9].Value = model.F_DeleteUser;
			parameters[10].Value = model.F_DeleteTime;
            parameters[11].Value = model.F_DeptId;
            parameters[12].Value = model.F_IsAutomatic;
            
            object obj = DbHelperSQL.GetSingle(strSql.ToString(),parameters);
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(RMYY_CallCenter_Api.Model.T_Sys_Class model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("update T_Sys_Class set ");
			strSql.Append("F_Code=@F_Code,");
			strSql.Append("F_Name=@F_Name,");
			strSql.Append("F_InTime=@F_InTime,");
			strSql.Append("F_OutTime=@F_OutTime,");
			strSql.Append("F_Remark=@F_Remark,");
			strSql.Append("F_State=@F_State,");
			strSql.Append("F_CreateUser=@F_CreateUser,");
			strSql.Append("F_CreateTime=@F_CreateTime,");
			strSql.Append("F_IsDelete=@F_IsDelete,");
			strSql.Append("F_DeleteUser=@F_DeleteUser,");
			strSql.Append("F_DeleteTime=@F_DeleteTime,");
            strSql.Append("F_IsAutomatic=@F_IsAutomatic");
            

            strSql.Append(" where F_Id=@F_Id");
			SqlParameter[] parameters = {
					new SqlParameter("@F_Code", SqlDbType.VarChar,50),
					new SqlParameter("@F_Name", SqlDbType.VarChar,50),
					new SqlParameter("@F_InTime", SqlDbType.VarChar,50),
					new SqlParameter("@F_OutTime", SqlDbType.VarChar,50),
					new SqlParameter("@F_Remark", SqlDbType.NVarChar,-1),
					new SqlParameter("@F_State", SqlDbType.Int,4),
					new SqlParameter("@F_CreateUser", SqlDbType.VarChar,50),
					new SqlParameter("@F_CreateTime", SqlDbType.DateTime),
					new SqlParameter("@F_IsDelete", SqlDbType.Int,4),
					new SqlParameter("@F_DeleteUser", SqlDbType.VarChar,50),
					new SqlParameter("@F_DeleteTime", SqlDbType.DateTime),
                    new SqlParameter("@F_IsAutomatic", SqlDbType.Int,4),
                    

                    new SqlParameter("@F_Id", SqlDbType.Int,4)};
			parameters[0].Value = model.F_Code;
			parameters[1].Value = model.F_Name;
			parameters[2].Value = model.F_InTime;
			parameters[3].Value = model.F_OutTime;
			parameters[4].Value = model.F_Remark;
			parameters[5].Value = model.F_State;
			parameters[6].Value = model.F_CreateUser;
			parameters[7].Value = model.F_CreateTime;
			parameters[8].Value = model.F_IsDelete;
			parameters[9].Value = model.F_DeleteUser;
			parameters[10].Value = model.F_DeleteTime;
            parameters[11].Value = model.F_IsAutomatic;
            parameters[12].Value = model.F_Id;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_Id)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_Sys_Class ");
			strSql.Append(" where F_Id=@F_Id");
			SqlParameter[] parameters = {
					new SqlParameter("@F_Id", SqlDbType.Int,4)
			};
			parameters[0].Value = F_Id;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}
		/// <summary>
		/// 批量删除数据
		/// </summary>
		public bool DeleteList(string F_Idlist )
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_Sys_Class ");
			strSql.Append(" where F_Id in ("+F_Idlist + ")  ");
			int rows=DbHelperSQL.ExecuteSql(strSql.ToString());
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public RMYY_CallCenter_Api.Model.T_Sys_Class GetModel(int F_Id)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select  top 1 F_Id,F_Code,F_IsAutomatic,F_Name,F_InTime,F_OutTime,F_Remark,F_State,F_CreateUser,F_CreateTime,F_IsDelete,F_DeleteUser,F_DeleteTime from T_Sys_Class ");
			strSql.Append(" where F_Id=@F_Id");
			SqlParameter[] parameters = {
					new SqlParameter("@F_Id", SqlDbType.Int,4)
			};
			parameters[0].Value = F_Id;

			RMYY_CallCenter_Api.Model.T_Sys_Class model=new RMYY_CallCenter_Api.Model.T_Sys_Class();
			DataSet ds=DbHelperSQL.Query(strSql.ToString(),parameters);
			if(ds.Tables[0].Rows.Count>0)
			{
				return DataRowToModel(ds.Tables[0].Rows[0]);
			}
			else
			{
				return null;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public RMYY_CallCenter_Api.Model.T_Sys_Class DataRowToModel(DataRow row)
		{
			RMYY_CallCenter_Api.Model.T_Sys_Class model=new RMYY_CallCenter_Api.Model.T_Sys_Class();
			if (row != null)
			{
				if(row["F_Id"]!=null && row["F_Id"].ToString()!="")
				{
					model.F_Id=int.Parse(row["F_Id"].ToString());
				}
				if(row["F_Code"]!=null)
				{
					model.F_Code=row["F_Code"].ToString();
				}
				if(row["F_Name"]!=null)
				{
					model.F_Name=row["F_Name"].ToString();
				}
				if(row["F_InTime"]!=null)
				{
					model.F_InTime=row["F_InTime"].ToString();
				}
				if(row["F_OutTime"]!=null)
				{
					model.F_OutTime=row["F_OutTime"].ToString();
				}
				if(row["F_Remark"]!=null)
				{
					model.F_Remark=row["F_Remark"].ToString();
				}
				if(row["F_State"]!=null && row["F_State"].ToString()!="")
				{
					model.F_State=int.Parse(row["F_State"].ToString());
				}
				if(row["F_CreateUser"]!=null)
				{
					model.F_CreateUser=row["F_CreateUser"].ToString();
				}
				if(row["F_CreateTime"]!=null && row["F_CreateTime"].ToString()!="")
				{
					model.F_CreateTime=DateTime.Parse(row["F_CreateTime"].ToString());
				}
				if(row["F_IsDelete"]!=null && row["F_IsDelete"].ToString()!="")
				{
					model.F_IsDelete=int.Parse(row["F_IsDelete"].ToString());
				}
				if(row["F_DeleteUser"]!=null)
				{
					model.F_DeleteUser=row["F_DeleteUser"].ToString();
				}
				if(row["F_DeleteTime"]!=null && row["F_DeleteTime"].ToString()!="")
				{
					model.F_DeleteTime=DateTime.Parse(row["F_DeleteTime"].ToString());
				}
                if (row["F_IsAutomatic"] != null && row["F_IsAutomatic"].ToString() != "")
                {
                    model.F_IsAutomatic = int.Parse(row["F_IsAutomatic"].ToString());
                }
                

            }
			return model;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select F_Id,F_Code,F_Name,F_InTime,F_IsAutomatic,F_OutTime,F_Remark,F_State,F_CreateUser,F_CreateTime,F_IsDelete,F_DeleteUser,F_DeleteTime ");
			strSql.Append(" FROM T_Sys_Class ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select ");
			if(Top>0)
			{
				strSql.Append(" top "+Top.ToString());
			}
			strSql.Append(" F_Id,F_Code,F_Name,F_InTime,F_OutTime,F_IsAutomatic,F_Remark,F_State,F_CreateUser,F_CreateTime,F_IsDelete,F_DeleteUser,F_DeleteTime ");
			strSql.Append(" FROM T_Sys_Class ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			strSql.Append(" order by " + filedOrder);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获取记录总数
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) FROM T_Sys_Class ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			object obj = DbHelperSQL.GetSingle(strSql.ToString());
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("SELECT * FROM ( ");
			strSql.Append(" SELECT ROW_NUMBER() OVER (");
			if (!string.IsNullOrEmpty(orderby.Trim()))
			{
				strSql.Append("order by T." + orderby );
			}
			else
			{
				strSql.Append("order by T.F_Id desc");
			}
			strSql.Append(")AS Row, T.*  from T_Sys_Class T ");
			if (!string.IsNullOrEmpty(strWhere.Trim()))
			{
				strSql.Append(" WHERE " + strWhere);
			}
			strSql.Append(" ) TT");
			strSql.AppendFormat(" WHERE TT.Row between {0} and {1}", startIndex, endIndex);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/*
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		{
			SqlParameter[] parameters = {
					new SqlParameter("@tblName", SqlDbType.VarChar, 255),
					new SqlParameter("@fldName", SqlDbType.VarChar, 255),
					new SqlParameter("@PageSize", SqlDbType.Int),
					new SqlParameter("@PageIndex", SqlDbType.Int),
					new SqlParameter("@IsReCount", SqlDbType.Bit),
					new SqlParameter("@OrderType", SqlDbType.Bit),
					new SqlParameter("@strWhere", SqlDbType.VarChar,1000),
					};
			parameters[0].Value = "T_Sys_Class";
			parameters[1].Value = "F_Id";
			parameters[2].Value = PageSize;
			parameters[3].Value = PageIndex;
			parameters[4].Value = 0;
			parameters[5].Value = 0;
			parameters[6].Value = strWhere;	
			return DbHelperSQL.RunProcedure("UP_GetRecordByPage",parameters,"ds");
		}*/

		#endregion  BasicMethod
		#region  ExtensionMethod

		#endregion  ExtensionMethod
	}
}

